<script>
  import Nav from "../partials/nav.svelte";
  import Footer from "../partials/footer.svelte";
   /** @type {import('./$types').PageData} */
    export let data;
</script>

<svelte:head>
  <title>Guillaume M. - security & software engineer</title>
  <meta
    name="description"
    content="Welcome to my personal site. You'll find content about software engineering, cybersecurity, DIY electronics, etc... and a curated collection of dank memes."
  />
</svelte:head>

<div class="flex flex-col w-full max-w-4xl">
  <Nav />
  <div
    class="flex flex-col bg-primary-content justify-center content-center items-center"
  >
    <!-- Begin page content -->
    <div
      class="mockup-window max-w-sm mt-40 mx-10 text-base-content bg-gradient-to-r from-pink-500 via-red-500 via-blue-500 via-green-500 via-indigo-500 to-yellow-500 border border-gray-300 animate-gradient"
      style="height:fit-content;"
    >
      <div
        class="flex justify-center min-h-full bg-primary-content flex-grow-0"
      >
        <div class="flex flex-col mx-5 mt-2 mb-2 sm:mt-4 sm:mb-4">
          <div class="flex justify-center content-center flex-grow-0">
            <h1
              class="text-base-content font-semibold text:xl sm:text-3xl text-center"
            >
              Guillaume&nbsp;M.
            </h1>
          </div>
          <div
            class="flex bordered border-base-content justify-center content-center text:md sm:text-xl"
          >
            <h1 class="text-base-content text-center">
              💻&nbsp;🛠 security&nbsp;&&nbsp;software&nbsp;engineer
            </h1>
          </div>
        </div>
      </div>
    </div>
    <label
      for="memes-collection"
      class="btn btn-outline btn-xs mt-5  modal-button">memes collection</label
    >
    <input type="checkbox" id="memes-collection" class="modal-toggle" />
    <div class="modal">
      <div class="modal-box">
        {#each data.body.memes as meme}
          <img
            class="object-contain"
            src="images/memes/{meme.file}"
            alt="A random dank meme"
          />
        {/each}

        <div class="modal-action flex justify-center">
          <label for="memes-collection" class="btn">Back to work</label>
        </div>
      </div>
    </div>
  </div>

  <Footer />
</div>
